Package Details: kscreen-git 5.22.80_r1331.gefc7de1-1

Git Clone URL: https://aur.archlinux.org/kscreen-git.git (read-only, click to copy)
Package Base: kscreen-git
Description: KDE's screen management software
Upstream URL: https://kde.org/plasma-desktop/
Licenses: LGPL
Conflicts: kscreen
Provides: kscreen
Submitter: imraro
Maintainer: IslandC0der (chaotic-aur)
Last Packager: IslandC0der
Votes: 19
Popularity: 0.000211
First Submitted: 2012-12-26 09:08 (UTC)
Last Updated: 2021-05-30 17:54 (UTC)

Latest Comments

1 2 3 Next › Last »

arojas commented on 2015-01-10 20:04 (UTC)

Merging in kscreen-git

imraro commented on 2015-01-10 18:36 (UTC)

Feel free to take ownership of kscreen-git and libkscreen-git.

sl1pkn07 commented on 2015-01-08 16:10 (UTC)

frameworks branch is merged to master greetings

sl1pkn07 commented on 2015-01-08 16:09 (UTC)

master branch of kscreen now is for Qt5/KF5 please update the depends greetings

sl1pkn07 commented on 2014-12-07 04:37 (UTC)

kscreen-frameworks-git E: Files in /usr/share/icons/hicolor but no call to gtk-update-icon-cache or xdg-icon-resource to update the icon cache kscreen-frameworks-git E: Dependency qt5-declarative detected and not included (libraries ['usr/lib/libQt5Qml.so.5', 'usr/lib/libQt5Quick.so.5'] needed in files ['usr/lib/qt/plugins/kcm_kscreen.so']) greetings

arojas commented on 2014-11-28 06:56 (UTC)

@svalo yes, this doesn't work anymore with Plasma 5.1 because of the API change in libkscreen.

svalo commented on 2014-11-27 21:54 (UTC)

Updating with the new dependency causes plasmashell not to start complaining about missing libKF5Screen.so.5 . In /usr/lib exists libKF5Screen.so.5.0.93 but no libKF5Screen.so.5. ls /usr/lib libKF5Screen.so->libKF5Screen.so.6* libKF5Screen.so.5.0.93* libKF5Screen.so.6->libKF5Screen.so.5.0.93* Symlinkink libKF5Screen.so.5->libKF5Screen.so.6 causes plasmashell to plasmashell: symbol lookup error: plasmashell: undefined symbol: _ZN7KScreen6Config11outputAddedEPNS_6OutputE

arojas commented on 2014-11-27 07:23 (UTC)

@farseerfc yes, thanks. libkscreen API has changed

farseerfc commented on 2014-11-27 05:20 (UTC)

Should depend on aur/libkscreen-frameworks-git ? Otherwise the build will fail on lack of header file: /build/kscreen-frameworks-git/src/kscreen/kded/daemon.cpp:38:40: fatal error: kscreen/getconfigoperation.h: No such file or directory #include <kscreen/getconfigoperation.h> In file included from /build/kscreen-frameworks-git/src/kscreen/kcm/src/outputconfig.cpp:25:0: /build/kscreen-frameworks-git/src/kscreen/kcm/src/utils.h:28:27: fatal error: kscreen/types.h: No such file or directory #include <kscreen/types.h>

GCN commented on 2013-06-03 13:09 (UTC)

Would you mind modifying your packages (libkscreen and kscreen) so that they conform to the VCS guidelines ? → https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines#Git Thanks.